Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.jsse
Class TLSServerParameters

    java.lang.Object
      org.apache.cxf.configuration.jsse.TLSParameterBase
          org.apache.cxf.configuration.jsse.TLSServerParameters

    public class TLSServerParameters

extends TLSParameterBase

This class extends `TLSParameterBase` with service-specific SSL/TLS parameters.

Constructor Summary
`TLSServerParameters()`

Method Summary
`ClientAuthentication` | `getClientAuthentication()` This parameter retrieves the client authentication settings.
`void` | `setClientAuthentication(ClientAuthentication clientAuth)` This parameter configures the server side to request and/or require client authentication.

Methods inherited from class org.apache.cxf.configuration.jsse.TLSParameterBase
`getCertConstraints, getCipherSuites, getCipherSuitesFilter, getJsseProvider, getKeyManagers, getSecureRandom, getSecureSocketProtocol, getTrustManagers, setCertConstraints, setCipherSuites, setCipherSuitesFilter, setJsseProvider, setKeyManagers, setSecureRandom, setSecureSocketProtocol, setTrustManagers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TLSServerParameters

    public TLSServerParameters()

Method Detail

### setClientAuthentication

    public final void setClientAuthentication(ClientAuthentication clientAuth)

  This parameter configures the server side to request and/or require client authentication.

### getClientAuthentication

    public ClientAuthentication getClientAuthentication()

  This parameter retrieves the client authentication settings.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF